//  Persistance of Vision Raytracer V3.1
//  World definition file.  
 //+W320 +H356  +FN   +QR +A +J1   +W480 +H534      
//TODO: Light levels - get a higher contrast, pref. w/o gamma change
//      Deal with tree trunk - make that look real
//      Leaves look too angular (difficult)
//      Add groundcover to forest floor??

//
//  Contains 1 lights, 7 materials and 13 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 08/23/1999    (23.08.1999)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray V3.1 For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>*0.2
  assumed_gamma 1.0
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

//media {scattering {4, rgb <1,1,1>*0.04 extinction 0.5}  /*density {gradient y scale 3}*/  }

background { color <0.000,0.000,0.000> }
/*camera {
        location <0,0.5,2>
        sky <    0.00000,     0.00000,     1.00000> // Use right handed-system 
        up <        0.0,         0.0,         1.0> // Where Z is up
        look_at <0,0.5,0> 
        
        } */ 
   
camera {  //  Camera Camera01
  location  <      7.926,      -5.479,       7.159>
  direction <        0.0,         0.0,    8.1336> // Aperture is 0.12 degrees   8.1336
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    0.90000,         0.0,         0.0> // Aspect ratio
  look_at   <      0.066,       0.000,       0.354>
}    


//
// *******  L I G H T S *******
//
 
light_source {   // Spotlight Spotlight001
  <0.000, 3.631, 3.297>
  color rgb <1.000, 1.000, 1.000>*2.300
  spotlight
    point_at  <0.012, 2.26, 1.842>      //2.259
    falloff    14.000  // outer radius (in deg)
    radius     3.5000  // inner radius
    tightness  29.000  
    media_attenuation off
    media_interaction on
}      
  /*
 light_source {   // Spotlight Spotlight001
  <      7.926,      -5.479,       7.159>
  color rgb <1.000, 1.000, 1.000>*2.300 
  }*/  
  
// ********  MATERIALS  *******
//

#include "Strange Fruit.inc" 
#declare Yellow  = rgb <1,1,0>;
#declare Red = rgb <1,0,0>;


//
// ********  REFERENCED OBJECTS  *******
//
 
#include "tree10.inc"
#include "buttress root.inc" 
#include "Grasstuft.inc" 
#include "foot.inc"
  


//
// ********  OBJECTS  *******
//
   
   object {
   RightFoot
   scale 0.08 
   rotate x*90
   rotate z*150 
   rotate y*30
   translate z*1.0
   translate y*0.55 
   translate x*-0.05  
   } 
   
   object {
   LeftFoot
   scale 0.08 
   rotate x*90
   rotate z*155 
   rotate y*30
   translate z*1.1
   translate y*0.4
   translate x*0.1   
   } 
   
   /*
plane { // Plane001
  z,0
 // pigment {Yellow} 
 pigment{// texture pigment/normal pattern
// cube checker pattern, alternates color1 and color2
  checker
    color red 1 green 1 blue 1
    color red 0 green 1 blue 0
    }
  translate  <0.009366, 0.0, -0.402723>
}

 box { // for placeholding
    <-1, -1, -1>, <1, 1, 1>
    pigment {Red} 
    scale <0.989048, 0.416021, 0.40547>  
    }   
 */   
    object {
    GrassTuft
    scale 0.11
    translate <-0.7,0.8,0>
    }
    
       
    object {
    GrassTuft
    scale 0.11
    translate <-0.65,0.8,0>
    } 
    
     object {
    GrassTuft
    scale 0.11
    translate <-0.75,0.83,0>
    }  
    
     object {
    GrassTuft
    scale 0.11
    translate <-1.75,0.55,0>
    }
        
    object {
    GrassTuft
    scale 0.11
    translate <-1.65,0.57,0>
    } 
    
    object {
    GrassTuft
    scale 0.11
    translate <-1.6,0.4,0>
    }   
    
    object {
    GrassTuft
    scale 0.11
    translate <-0.81,1.0,0>
    }    
    object {
    GrassTuft
    scale 0.11
    translate <-0.80,1.1,0>
    } 
    object {
    GrassTuft
    scale 0.11
    translate <-0.81,1.1,0>
    }  
    object {
    GrassTuft
    scale 0.11
    translate <-0.815,1.15,0>
    }  
    
    object {
    GrassTuft
    scale 0.11
    translate <-0.97,1.49,0>
    } 
    object {
    GrassTuft
    scale 0.11
    translate <-0.84,1.43,0>
    }
    
     object {
    GrassTuft
    scale 0.11
    translate <-0.5,1.0,0>
    }   
    object {
    GrassTuft
    scale 0.11
    translate <-0.1,0.85,0>
    }   
    
    object {
    GrassTuft
    scale 0.11
    translate <-0.0,-0.7,0>
    } 
    object {
    GrassTuft
    scale 0.11
    translate <0.1,-0.7,0>
    } 
    object {
    GrassTuft
    scale 0.11
    translate <0.2,-0.7,0>
    }
    object {
    GrassTuft
    scale 0.11
    translate <0.3,-0.7,0>
    } 
    object {
    GrassTuft
    scale 0.11
    translate <0.45,-0.7,0>
    }
    
    object {
    GrassTuft
    scale 0.11
    translate <0.2,-0.8,0>
    }   
    
        
object {
  boleandroots 
  scale 0.3 
  translate  <-0.4, 0.8, -0.04>
}
 
 
object { // tree12->tree10
  tree10
  rotate 20*z
  translate  <-1.0, 0.8, 0.0> 
}    

  
object { // tree11->tree10
  tree10
  rotate -0.0*z
  translate  <1.143415, 1.4, 0.0>
}


object { tree10 

translate  <-0.6, 2, 0.0>
}
  

plane { // Plane001
  z,0
  material {
    Green
  }
  translate  <0.009366, 0.0, -0.402723>
}    
    



intersection { // Water
  box { // Cube003
    <-1, -1, -1>, <1, 1, 1>
    scale <0.989048, 0.416021, 0.40547>
  }
  sphere { // Sphere002
    <0,0,0>,1
    scale 0.386182
    translate  0.375758*z
  }
  material {
    water
  }
}


difference { // Granite_pool
  box { // Cube002
    <-1, -1, -1>, <1, 1, 1>
    /*material {
      Chocolate_granite
    }   */
    scale <0.989048, 0.416021, 0.40547>
  }
  sphere { // Sphere001
    <0,0,0>,1
    scale 0.386182
    translate  0.375758*z
  }
  material {
    Chocolate_granite
  } 
}

#include "headthing.pov"